      LOGICAL FUNCTION MKPAPER(path,name,id1,id2,istep,counter)
c
c     write all plots from paper {name} with id = {id1} to {id2} as xml.
c
c     the files are in 
c     {path}/{name}/plot{counter}.xml to 
c     {path}/{name}/plot{counter+id2-id1}.xml 
c
c     counter is incremented as an output.
c     Jon Butterworth 14/2/2005
c     -----------------------------------------------------------------
      IMPLICIT NONE

      CHARACTER*10 name
      CHARACTER*160 hdir, directory, colour, path
      INTEGER id1, id2, counter, lenocc, idmc, istep
      LOGICAL ok, h2xml

      MKPAPER = .TRUE.;
      COLOUR='Red'
      

      CALL HCDIR('//PAWC',' ')
      CALL HMDIR(name(1:lenocc(name)),'S')
      CALL HCDIR('//MAIN/'//name(1:lenocc(name)),' ')
      CALL HCDIR(hdir,'R')
      directory = path(1:lenocc(path))//'/'//name(1:lenocc(name))
      write(*,*) 'Directory:',directory
      IF (hdir.EQ.'//MAIN/'//name(1:lenocc(name))) THEN
         CALL HRIN(0,999999,0)
         do idmc=id1,id2,istep
            ok = H2XML(hdir,idmc,directory,counter,colour)
            counter=counter+1
         enddo
         
      ELSE
         MKPAPER = .FALSE.
         WRITE(*,*) name//' not added'
         WRITE(*,*) 'no plots for this data ',hdir
         WRITE(13,*) 'no data for this file ',hdir
         OPEN(UNIT=13,FILE=directory(1:lenocc(directory))/
     &        /'/UNAVAILABLE',STATUS='NEW')
         CLOSE(13)
      ENDIF
      
      return 
      end
