      SUBROUTINE HZXMLD(iunit,name,dval)
c
c     Write XML doubleParameter element.
c
c     iunit = LUN for output
c     name  = "name" attribute of intParameter element
c     dval  = element contents (value of parameter)
c

      IMPLICIT NONE

      CHARACTER*(*) name
      INTEGER iunit
      DOUBLE PRECISION dval

c     Buffer for formatting numbers in output
      CHARACTER*14 buff
      INTEGER buflen
      PARAMETER (buflen=14)

c     Complete element to write out
      CHARACTER*100 elem
      
c     Function to find number of occupied characters in a string (KERNLIB)
      INTEGER lenocc

      write (buff,'(D14.7)') dval
      call cleft(buff,1,buflen)

      elem = '<hep:doubleParameter name="'//name//'">'//
     &     buff(1:lenocc(buff))//'</hep:doubleParameter>'

      write (iunit,'(A)') elem(1:lenocc(elem))

      RETURN
      END
